#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  gst-plugins-base-1.24.12

- Next

  gst-plugins-bad-1.24.12

- Up
- Home

# gst-plugins-good-1.24.12

## Introduction to GStreamer Good Plug-ins

The GStreamer Good Plug-ins is a set of plug-ins considered by the GStreamer developers to have good quality code, correct functionality, and the preferred license (LGPL for the plug-in code, LGPL or LGPL-compatible for the supporting library). A wide range of video and audio decoders, encoders, and filters are included.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-1.24.12.tar.xz

- Download MD5 sum: 99f259e6aca8b499ece578948cb91bbc

- Download size: 2.8 MB

- Estimated disk space required: 114 MB (with tests)

- Estimated build time: 0.7 SBU (Using parallelism=4; with tests)

### GStreamer Good Plug-ins Dependencies

#### Required

gst-plugins-base-1.24.12

#### Recommended

Cairo-1.18.2, FLAC-1.5.0, gdk-pixbuf-2.42.12, LAME-3.100, libsoup-2.74.3, libsoup-3.6.4, libvpx-1.15.0, mpg123-1.32.10, NASM-2.16.03, and PulseAudio-17.0

#### Optional

AAlib-1.4rc5, GTK-3.24.48 (for examples), libdv-1.0.0, Qt-6.8.2, Speex-1.2.1, taglib-2.0.2, Valgrind-3.24.0, v4l-utils-1.28.1, Wayland-1.23.0, alsa-oss, hotdoc, JACK, libcaca, libavc1394, libiec61883, libraw1394, libshout, Orc, TwoLame, and WavPack

## Installation of GStreamer Good Plug-ins

### Note

If you need a plugin for a given dependency, that dependency needs to be installed before this package.

Install GStreamer Good Plug-ins by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release &&
    ninja

To test the results, issue: ninja test. One test, `elements_flvmux`, is known to fail on some systems.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

## Contents

Installed Programs: None
Installed Libraries: Several plugins under /usr/lib/gstreamer-1.0
Installed Directories: /usr/share/gstreamer-1.0/presets

- Prev

  gst-plugins-base-1.24.12

- Next

  gst-plugins-bad-1.24.12

- Up
- Home